## dzl-cpu-graph dzl-cpu-graph |

## Functions

GtkWidget * | dzl_cpu_graph_new_full ()

## Properties

guint | max-samples | Read / Write / Construct Only
gint64 | timespan | Read / Write / Construct Only

## Types and Values

#define | DZL_TYPE_CPU_GRAPH
| DzlCpuGraph

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── DzlGraphView
                        ╰── DzlCpuGraph

## Implemented Interfaces

DzlCpuGraph implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_cpu_graph_new_full ()

    GtkWidget *
    dzl_cpu_graph_new_full (gint64 timespan,
                            guint max_samples);

## Types and Values

### DZL_TYPE_CPU_GRAPH

    #define DZL_TYPE_CPU_GRAPH (dzl_cpu_graph_get_type())

### DzlCpuGraph

    typedef struct _DzlCpuGraph DzlCpuGraph;

## Property Details

### The `“max-samples”` property

      “max-samples”              guint

Max Samples.

Flags: Read / Write / Construct Only

Default value: 120

### The `“timespan”` property

      “timespan”                 gint64

Timespan.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 60000000